Subject: mechanism based on OpenPGP?

From: Claus Assmann <[email-masked]>
Date: Sat, 15 Jan 2000 13:47:19 -0800

Is there a SASL mechanism that is based on public key cryptography?
Something like OpenPGP for example? I would like to see such a
mechanism due to the "web of trust" that is simple in PGP but
difficult in X.509 based certs. Since it seems a bit expensive for
"end users" to get a cert from a big CA, it might be useful to have
an alternative to TLS, which only (?) allows for a hierarchical
structure. I know users could "just" use PGP in their MUAs, but
having encryption in an MTA might solve some interoperability
issues, esp. if an MTA like sendmail would support such a mechanism
(including the security layer, not just authentication).